MONGOC_SOCKET_BIND(3)

NAME
mongoc_socket_bind() - This function is a wrapper around the BSD socket bind() interface. It provides better portability between UNIX-like and Microsoft Windows platforms.

SYNOPSIS

int
mongoc_socket_bind (mongoc_socket_t       *sock,
                    const struct sockaddr *addr,
                    socklen_t              addrlen);

PARAMETERS

sock
    A mongoc_socket_t \&.

addr
    A struct sockaddr.

addrlen
    A socklen_t.

DESCRIPTION

This function is a wrapper around the BSD socket bind(3) interface. It provides better portability between UNIX-like and Microsoft Windows platforms.

RETURNS

0 on success, -1 on failure and errno is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.